aboutsummaryrefslogtreecommitdiff
path: root/misc/fcitx
diff options
context:
space:
mode:
authorluoyi <luoyi.ly@gmail.com>2010-05-12 23:31:36 +0200
committerMichiel van Wessem <michiel@slackbuilds.org>2010-05-12 23:31:36 +0200
commitd583ee905fabee047b33c2fed3b74c9492cf78c7 (patch)
treef665f85efdc2107ff7bc8feddf3a2f27d27cc3c1 /misc/fcitx
parentcf54f1f1ec8697c9dcfb097c556d053efc9efcdf (diff)
misc/fcitx: Added to 12.2 repository
Diffstat (limited to 'misc/fcitx')
-rw-r--r--misc/fcitx/README6
-rw-r--r--misc/fcitx/fcitx.SlackBuild79
-rw-r--r--misc/fcitx/fcitx.config103
-rw-r--r--misc/fcitx/fcitx.info8
-rw-r--r--misc/fcitx/fcitx.sh6
-rw-r--r--misc/fcitx/slack-desc19
6 files changed, 221 insertions, 0 deletions
diff --git a/misc/fcitx/README b/misc/fcitx/README
new file mode 100644
index 0000000000000..272f23eefc5ce
--- /dev/null
+++ b/misc/fcitx/README
@@ -0,0 +1,6 @@
+fcitx: A very popular Simp Chinese Input Method
+
+fcitx is a very popular Simp Chinese input method
+developped by some chinese hack guys.
+
+fcitx is much simpler than scim
diff --git a/misc/fcitx/fcitx.SlackBuild b/misc/fcitx/fcitx.SlackBuild
new file mode 100644
index 0000000000000..3fd3565d69679
--- /dev/null
+++ b/misc/fcitx/fcitx.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for fcitx
+# Written by luoyi (luoyi.ly@gmail.com)
+
+# Modified by the slackbuilds.org project. --michiel
+PRGNAM=fcitx
+VERSION=${VERSION:-3.6.0rc}
+SRCVER=${PKGVER:-3.6.0-rc}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.bz2
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/etc/profile.d
+cat $CWD/fcitx.sh > $PKG/etc/profile.d/fcitx.sh
+chmod 755 $PKG/etc/profile.d/fcitx.sh
+
+sed -i -e 's/^/#/' $PKG/usr/share/fcitx/data/tables.conf
+cat $CWD/fcitx.config > $PKG/usr/share/fcitx/data/config
+chmod 644 $PKG/usr/share/fcitx/data/config
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/fcitx/fcitx.config b/misc/fcitx/fcitx.config
new file mode 100644
index 0000000000000..9348861d2ae2a
--- /dev/null
+++ b/misc/fcitx/fcitx.config
@@ -0,0 +1,103 @@
+[����]
+��ʾ����(��)=*
+��ʾ����(Ӣ)=Courier New
+��ʾ�����С=12
+�����������С=12
+��������=zh_CN.GBK
+ʹ��AA����=1
+ʹ�ô���=1
+
+[���]
+���ֺ����Ƿ���=1
+Enter����Ϊ=2
+�ֺż���Ϊ=2
+��д��ĸ����Ӣ��=1
+ת��Ӣ���еı��=1
+���뷽ʽ��ֹ��ҳ=1
+
+[����]
+��ѡ�ʸ���=10
+������ʹ��3D����=0
+������ʹ��3D����=0
+����������ģʽ=0
+��ʾ�������=0
+����������=1
+�״���ʾ������=1
+#�������̶�����(��������������뷨)��0��ʾ���̶�����
+�������̶�����=0
+������ƫ����X=0
+������ƫ����Y=16
+��ź�ӵ�=1
+��ʾ�����ٶ�=1
+��ʾ�汾=1
+���ɫ=102 159 66
+�����ڱ���ɫ=255 255 255
+����������ɫ=203 202 186
+���������뷨����ɫ=153 153 153 102 159 66 56 134 230
+���봰����ɫ=255 255 255
+���봰��ʾɫ=2 89 196
+���봰�û�����ɫ=255 0 132
+���봰���ɫ=0 66 200
+���봰��һ����ѡ��ɫ=0 99 200
+#����ɫֵֻ����ƴ���е��û������
+���봰�û�����ɫ=0 99 200
+���봰��ʾ����ɫ=255 0 132
+#��ʡ�ƴ���ĵ���/ϵͳ�����ʹ�ø���ɫ
+���봰�����ı�ɫ=56 134 230
+���봰����ɫ=203 202 186
+���봰��ͷɫ=193 227 151
+������̴�����ɫ=220 220 220
+������̴���ĸɫ=80 0 0
+������̴�����ɫ=0 0 0
+
+#���ˡ���Ӣ�Ŀ����л������⣬�������ȼ���������Ϊ�������м��ÿո�ָ�
+[�ȼ�]
+��/�ر����뷨=CTRL_SPACE
+#��Ӣ�Ŀ����л��� ��������ΪL_CTRL R_CTRL L_SHIFT R_SHIFT
+��Ӣ�Ŀ����л���=L_CTRL
+˫����Ӣ���л�=0
+����ʱ����=250
+������=CTRL_K
+GBK֧��=CTRL_M
+GBK�������=CTRL_ALT_F
+����֧��=CTRL_L
+����ƴ��=CTRL_ALT_E
+ȫ���=SHIFT_SPACE
+���ı��=ALT_SPACE
+��һҳ=PGUP
+��һҳ=PGDN
+�ڶ�����ѡ��ѡ���=SHIFT
+
+[���뷨]
+ʹ��ƴ��=1
+ʹ��˫ƴ=1
+Ĭ��˫ƴ����=��Ȼ��
+ʹ����λ=1
+ʹ�����=1
+��ʾ�ʿ��еĴ���=1
+�������뷨=
+
+[ƴ��]
+ʹ��ȫƴ=0
+ƴ���Զ����=1
+�����Զ����=0
+����ƴ��������=CTRL_8
+ɾ��ƴ��������=CTRL_7
+ɾ��ƴ���û�����=CTRL_DELETE
+#ƴ���Դʶ��ּ����Ⱥź�����Ӽ�����Ҫ�пո�
+ƴ���Դʶ��ּ�=[]
+#���������ʽ˵����0-->������ 1-->���ٵ��� 2-->��Ƶ�ʵ���
+ƴ���������������ʽ=2
+ƴ���������������ʽ=1
+ƴ�����ô����������ʽ=0
+ģ��an��ang=0
+ģ��en��eng=0
+ģ��ian��iang=0
+ģ��in��ing=0
+ģ��ou��u=0
+ģ��uan��uang=0
+ģ��c��ch=0
+ģ��f��h=0
+ģ��l��n=0
+ģ��s��sh=0
+ģ��z��zh=0
diff --git a/misc/fcitx/fcitx.info b/misc/fcitx/fcitx.info
new file mode 100644
index 0000000000000..60c80b3f48a8b
--- /dev/null
+++ b/misc/fcitx/fcitx.info
@@ -0,0 +1,8 @@
+PRGNAM="fcitx"
+VERSION="3.6.0rc"
+HOMEPAGE="http://www.fcitx.org/"
+DOWNLOAD="http://fcitx.googlecode.com/files/fcitx-3.6.0-rc.tar.bz2"
+MD5SUM="18dc6b3af176b4b3f5e857e2429695e3"
+MAINTAINER="luoyi"
+EMAIL="luoyi.ly@gmail.com"
+APPROVED="michiel"
diff --git a/misc/fcitx/fcitx.sh b/misc/fcitx/fcitx.sh
new file mode 100644
index 0000000000000..2845a17b074ce
--- /dev/null
+++ b/misc/fcitx/fcitx.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+export GTK_IM_MODULE=xim
+export XMODIFIERS="@im=fcitx"
+export XIM=fcitx
+export XIM_PROGRAM=fcitx
+
diff --git a/misc/fcitx/slack-desc b/misc/fcitx/slack-desc
new file mode 100644
index 0000000000000..dfec06f0b8d7e
--- /dev/null
+++ b/misc/fcitx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fcitx: fcitx (Free Chinese Input Toy for X)
+fcitx:
+fcitx: fcitx is a simple and lightweight chinese input method
+fcitx: for the X Windows System.
+fcitx:
+fcitx: It can only work under en_US.utf8 or zh_CN.GBK
+fcitx:
+fcitx:
+fcitx:
+fcitx: See: http://www.fcitx.org
+fcitx: